# Uses of Interface
org.eclipse.compare.patch.IFilePatchResult

Packages that use IFilePatchResult
Package
Description
org.eclipse.compare.patch
Provides support for applying and working with patches.

## Uses of IFilePatchResult in org.eclipse.compare.patch

Methods in org.eclipse.compare.patch that return IFilePatchResult
Modifier and Type
Method
Description
`IFilePatchResult`
IFilePatch.`apply(IStorage contents, PatchConfiguration configuration, IProgressMonitor monitor)`
Apply this patch to the given file contents.
`IFilePatchResult`
IFilePatch2.`apply(ReaderCreator content, PatchConfiguration configuration, IProgressMonitor monitor)`
Apply this patch to the given contents.